------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008-2012 Vadim Godunko <vgodunko@gmail.com>                 --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--    This file has been generated automatically. Please don't edit it.     --
------------------------------------------------------------------------------
with Qt_Ada.Internals.Objects;

with Qt_Ada.Internals.Objects.Abstract_Button_Proxies;
pragma Warnings (Off, Qt_Ada.Internals.Objects.Abstract_Button_Proxies);
--  Elaboration of the proxy tagged type package register proxy object
--  constructor. Bindings must be able to create proxy object of the
--  corresponding tagged type for works properly.

package body Qt4.Abstract_Buttons is

   function autoExclusive_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, autoExclusive_0_wrapper,
                     "__Qt4Ada_QAbstractButton_autoExclusive_0_wrapper");

   function autoRepeat_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, autoRepeat_0_wrapper,
                     "__Qt4Ada_QAbstractButton_autoRepeat_0_wrapper");

   procedure icon_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Icons.Internals.QIcon);
   pragma Import (C, icon_0_wrapper,
                     "__Qt4Ada_QAbstractButton_icon_0_wrapper");

   procedure iconSize_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Sizes.Internals.QSize);
   pragma Import (C, iconSize_0_wrapper,
                     "__Qt4Ada_QAbstractButton_iconSize_0_wrapper");

   function isCheckable_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isCheckable_0_wrapper,
                     "__Qt4Ada_QAbstractButton_isCheckable_0_wrapper");

   function isChecked_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isChecked_0_wrapper,
                     "__Qt4Ada_QAbstractButton_isChecked_0_wrapper");

   function isDown_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isDown_0_wrapper,
                     "__Qt4Ada_QAbstractButton_isDown_0_wrapper");

   procedure setAutoExclusive_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Enabled : Qt4.bool);
   pragma Import (C, setAutoExclusive_0_wrapper,
                     "__Qt4Ada_QAbstractButton_setAutoExclusive_0_wrapper");

   procedure setAutoRepeat_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Enabled : Qt4.bool);
   pragma Import (C, setAutoRepeat_0_wrapper,
                     "__Qt4Ada_QAbstractButton_setAutoRepeat_0_wrapper");

   procedure setCheckable_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Checkable : Qt4.bool);
   pragma Import (C, setCheckable_0_wrapper,
                     "__Qt4Ada_QAbstractButton_setCheckable_0_wrapper");

   procedure setDown_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Pressed : Qt4.bool);
   pragma Import (C, setDown_0_wrapper,
                     "__Qt4Ada_QAbstractButton_setDown_0_wrapper");

   procedure setIcon_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Icon : not null access constant Qt4.Icons.Internals.QIcon);
   pragma Import (C, setIcon_0_wrapper,
                     "__Qt4Ada_QAbstractButton_setIcon_0_wrapper");

   procedure setText_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Text : not null access constant Qt4.Strings.Internals.QString);
   pragma Import (C, setText_0_wrapper,
                     "__Qt4Ada_QAbstractButton_setText_0_wrapper");

   procedure text_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Strings.Internals.QString);
   pragma Import (C, text_0_wrapper,
                     "__Qt4Ada_QAbstractButton_text_0_wrapper");

   procedure click_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, click_0_wrapper,
                     "__Qt4Ada_QAbstractButton_click_0_wrapper");

   procedure setChecked_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Checked : Qt4.bool);
   pragma Import (C, setChecked_0_wrapper,
                     "__Qt4Ada_QAbstractButton_setChecked_0_wrapper");

   procedure setIconSize_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Size : not null access constant Qt4.Sizes.Internals.QSize);
   pragma Import (C, setIconSize_0_wrapper,
                     "__Qt4Ada_QAbstractButton_setIconSize_0_wrapper");

   procedure toggle_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, toggle_0_wrapper,
                     "__Qt4Ada_QAbstractButton_toggle_0_wrapper");

   pragma Style_Checks ("N");

   --------------------
   -- Auto_Exclusive --
   --------------------

   function Auto_Exclusive
    (Self : not null access constant Q_Abstract_Button'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (autoExclusive_0_wrapper
           (Self.QObject_View));
   end Auto_Exclusive;

   -----------------
   -- Auto_Repeat --
   -----------------

   function Auto_Repeat
    (Self : not null access constant Q_Abstract_Button'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (autoRepeat_0_wrapper
           (Self.QObject_View));
   end Auto_Repeat;

   ----------
   -- Icon --
   ----------

   function Icon
    (Self : not null access constant Q_Abstract_Button'Class)
       return Qt4.Icons.Q_Icon
   is
      Returns : Qt4.Icons.Q_Icon;

   begin
      icon_0_wrapper
       (Self.QObject_View,
        Qt4.Icons.Internals.QIcon_View (Returns));

      return Returns;
   end Icon;

   ---------------
   -- Icon_Size --
   ---------------

   function Icon_Size
    (Self : not null access constant Q_Abstract_Button'Class)
       return Qt4.Sizes.Q_Size
   is
      Returns : Qt4.Sizes.Q_Size;

   begin
      iconSize_0_wrapper
       (Self.QObject_View,
        Qt4.Sizes.Internals.QSize_View (Returns));

      return Returns;
   end Icon_Size;

   ------------------
   -- Is_Checkable --
   ------------------

   function Is_Checkable
    (Self : not null access constant Q_Abstract_Button'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isCheckable_0_wrapper
           (Self.QObject_View));
   end Is_Checkable;

   ----------------
   -- Is_Checked --
   ----------------

   function Is_Checked
    (Self : not null access constant Q_Abstract_Button'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isChecked_0_wrapper
           (Self.QObject_View));
   end Is_Checked;

   -------------
   -- Is_Down --
   -------------

   function Is_Down
    (Self : not null access constant Q_Abstract_Button'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isDown_0_wrapper
           (Self.QObject_View));
   end Is_Down;

   ------------------------
   -- Set_Auto_Exclusive --
   ------------------------

   procedure Set_Auto_Exclusive
    (Self : not null access Q_Abstract_Button'Class;
     Enabled : Standard.Boolean)
   is
   begin
      setAutoExclusive_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Enabled));
   end Set_Auto_Exclusive;

   ---------------------
   -- Set_Auto_Repeat --
   ---------------------

   procedure Set_Auto_Repeat
    (Self : not null access Q_Abstract_Button'Class;
     Enabled : Standard.Boolean)
   is
   begin
      setAutoRepeat_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Enabled));
   end Set_Auto_Repeat;

   -------------------
   -- Set_Checkable --
   -------------------

   procedure Set_Checkable
    (Self : not null access Q_Abstract_Button'Class;
     Checkable : Standard.Boolean)
   is
   begin
      setCheckable_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Checkable));
   end Set_Checkable;

   --------------
   -- Set_Down --
   --------------

   procedure Set_Down
    (Self : not null access Q_Abstract_Button'Class;
     Pressed : Standard.Boolean)
   is
   begin
      setDown_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Pressed));
   end Set_Down;

   --------------
   -- Set_Icon --
   --------------

   procedure Set_Icon
    (Self : not null access Q_Abstract_Button'Class;
     Icon : Qt4.Icons.Q_Icon)
   is
   begin
      setIcon_0_wrapper
       (Self.QObject_View,
        Qt4.Icons.Internals.QIcon_View (Icon));
   end Set_Icon;

   --------------
   -- Set_Text --
   --------------

   procedure Set_Text
    (Self : not null access Q_Abstract_Button'Class;
     Text : Qt4.Strings.Q_String)
   is
   begin
      setText_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Text));
   end Set_Text;

   ----------
   -- Text --
   ----------

   function Text
    (Self : not null access constant Q_Abstract_Button'Class)
       return Qt4.Strings.Q_String
   is
      Returns : Qt4.Strings.Q_String;

   begin
      text_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Returns));

      return Returns;
   end Text;

   -----------
   -- Click --
   -----------

   procedure Click
    (Self : not null access Q_Abstract_Button'Class)
   is
   begin
      click_0_wrapper
       (Self.QObject_View);
   end Click;

   -----------------
   -- Set_Checked --
   -----------------

   procedure Set_Checked
    (Self : not null access Q_Abstract_Button'Class;
     Checked : Standard.Boolean)
   is
   begin
      setChecked_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Checked));
   end Set_Checked;

   -------------------
   -- Set_Icon_Size --
   -------------------

   procedure Set_Icon_Size
    (Self : not null access Q_Abstract_Button'Class;
     Size : Qt4.Sizes.Q_Size)
   is
   begin
      setIconSize_0_wrapper
       (Self.QObject_View,
        Qt4.Sizes.Internals.QSize_View (Size));
   end Set_Icon_Size;

   ------------
   -- Toggle --
   ------------

   procedure Toggle
    (Self : not null access Q_Abstract_Button'Class)
   is
   begin
      toggle_0_wrapper
       (Self.QObject_View);
   end Toggle;

end Qt4.Abstract_Buttons;
